Subject: Re: linux-next: manual merge of the scsi tree with the rockchip tree

From: Detlev Casanova <[email-masked]>
Date: Tue, 11 Mar 2025 12:24:25 -0400

Hi Stephen,

On Tuesday, 11 March 2025 03:35:24 EDT Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the scsi tree got a conflict in:
> 
>   arch/arm64/boot/dts/rockchip/rk3576.dtsi
> 
> between commit:
> 
>   36299757129c ("arm64: dts: rockchip: Add SFC nodes for rk3576")
> 
> from the rockchip tree and commit:
> 
>   c75e5e010fef ("scsi: arm64: dts: rockchip: Add UFS support for RK3576
> SoC")
> 
> from the scsi tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Unfortunately, this fix is incorrect as nodes must be in address order, so 
ufshc: ufshc@2a2d0000 must be above sfc1: spi@2a300000.

As we are close the the merge window, I won't mind if the patches have to be 
postponed to the next cycle, but some device trees won't build anymore.

This can also be left as is with a new patch to fix the order (to be backported 
if needed)

Regards,

Detlev.